SpreadJS provides three types of connector shapes.
Straight
Elbow
Curve
The connector shape (line) can be used stand-along or connected to other shape. The two sides of the shape can has it's own arrow type.
You can add a connector shape and change the shape style using the ConnectorShape API
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import './styles.css';
interface ILineStyle {
style: string;
width: string;
length: string;
}
interface IShapeData {
beginArrowhead?: ILineStyle;
type: string;
endArrowhead?: ILineStyle;
}
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spread = $event.spread;
let shapeData: IShapeData[] = [
{
type: 'straight',
},
{
type: 'straight',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'straight',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'straight',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
},
{
type: 'elbow',
},
{
type: 'elbow',
endArrowhead: {
style: "oval",
width: 'medium',
length: 'medium',
},
},
{
type: 'elbow',
beginArrowhead: {
style: "oval",
width: 'wide',
length: 'wide',
},
},
{
beginArrowhead: {
style: "open",
width: 'medium',
length: 'medium',
},
type: 'elbow',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
// 3. CURVE
{
type: 'curve',
},
{
type: 'curve',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'curve',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'curve',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
}
];
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.name("ConnectorShape");
for (let i = 0; i < shapeData.length; i++) {
initShape(sheet, shapeData[i], i);//add connectorShape
}
sheet.setValue(1, 1, 'STRAIGHT');
sheet.setValue(1, 5, 'ELBOW');
sheet.setValue(1, 9, 'CURVE');
spread.options.tabStripRatio = 0.8;
spread.resumePaint();
}
}
function initShape(sheet: GC.Spread.Sheets.Worksheet, shapeData: IShapeData, index: number) {
let colors = ["#82BC00", "#F8B22E", "black", "#00C2D6"];
let arrowheadStyle = GC.Spread.Sheets.Shapes.ArrowheadStyle;
let arrowheadLength = GC.Spread.Sheets.Shapes.ArrowheadLength;
let arrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth;
let beginX = 70,endX = 250;
if(shapeData.type === 'elbow'){
beginX = 320;
endX = 500;
index = index%4;
} else if (shapeData.type === 'curve') {
beginX = 570;
endX = 750;
index = index % 4;
}
let connectorShape = sheet.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType[shapeData.type], beginX, 80+index*70, endX, 50+index*70);
if (shapeData.beginArrowhead !== undefined) {
let connectorBeginStyle = connectorShape.style();
let beginLine = connectorBeginStyle.line;
beginLine.beginArrowheadStyle = arrowheadStyle[shapeData.beginArrowhead.style];
beginLine.beginArrowheadWidth = arrowheadWidth[shapeData.beginArrowhead.width];
beginLine.beginArrowheadLength = arrowheadLength[shapeData.beginArrowhead.length];
connectorShape.style(connectorBeginStyle);
}
if (shapeData.endArrowhead !== undefined) {
let connectorEndStyle = connectorShape.style();
let endLine = connectorEndStyle.line;
endLine.endArrowheadStyle = arrowheadStyle[shapeData.endArrowhead.style];
endLine.endArrowheadWidth = arrowheadWidth[shapeData.endArrowhead.width];
endLine.endArrowheadLength = arrowheadLength[shapeData.endArrowhead.length];
connectorShape.style(connectorEndStyle);
}
let connectorStyle = connectorShape.style();
let lineTemp = connectorStyle.line;
lineTemp.width = 5;
lineTemp.color = colors[index];
connectorShape.style(connectorStyle);
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet [name]="'ConnectorShape'"></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
width: 100%;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.2.2-master-2026-09-02-2133/'
},
// map tells the System loader where to look for things
map: {
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'cdn:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-angular': 'cdn:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

SpreadJS provides three types of connector shapes.
Straight
Elbow
Curve
The connector shape (line) can be used stand-along or connected to other shape. The two sides of the shape can has it's own arrow type.
You can add a connector shape and change the shape style using the ConnectorShape API
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import "@mescius/spread-sheets-shapes";
function initShape(sheet, shapeData, index) {
let colors = ["#82BC00", "#F8B22E", "black", "#00C2D6"];
let arrowheadStyle = GC.Spread.Sheets.Shapes.ArrowheadStyle;
let arrowheadLength = GC.Spread.Sheets.Shapes.ArrowheadLength;
let arrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth;
let beginX = 70, endX = 250;
if (shapeData.type === 'elbow') {
beginX = 320;
endX = 500;
index = index % 4;
} else if (shapeData.type === 'curve') {
beginX = 570;
endX = 750;
index = index % 4;
}
let connectorShape = sheet.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType[shapeData.type], beginX, 80 + index * 70, endX, 50 + index * 70);
if (shapeData.beginArrowhead !== undefined) {
let connectorBeginStyle = connectorShape.style();
let beginLine = connectorBeginStyle.line;
beginLine.beginArrowheadStyle = arrowheadStyle[shapeData.beginArrowhead.style];
beginLine.beginArrowheadWidth = arrowheadWidth[shapeData.beginArrowhead.width];
beginLine.beginArrowheadLength = arrowheadLength[shapeData.beginArrowhead.length];
connectorShape.style(connectorBeginStyle);
}
if (shapeData.endArrowhead !== undefined) {
let connectorEndStyle = connectorShape.style();
let endLine = connectorEndStyle.line;
endLine.endArrowheadStyle = arrowheadStyle[shapeData.endArrowhead.style];
endLine.endArrowheadWidth = arrowheadWidth[shapeData.endArrowhead.width];
endLine.endArrowheadLength = arrowheadLength[shapeData.endArrowhead.length];
connectorShape.style(connectorEndStyle);
}
let connectorStyle = connectorShape.style();
let lineTemp = connectorStyle.line;
lineTemp.width = 5;
lineTemp.color = colors[index];
connectorShape.style(connectorStyle);
}
export function AppFunc() {
const initSpread = (spread) => {
let shapeData = [
{
type: 'straight',
},
{
type: 'straight',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'straight',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'straight',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
},
{
type: 'elbow',
},
{
type: 'elbow',
endArrowhead: {
style: "oval",
width: 'medium',
length: 'medium',
},
},
{
type: 'elbow',
beginArrowhead: {
style: "oval",
width: 'wide',
length: 'wide',
},
},
{
beginArrowhead: {
style: "open",
width: 'medium',
length: 'medium',
},
type: 'elbow',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
// 3. CURVE
{
type: 'curve',
},
{
type: 'curve',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'curve',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'curve',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
}
];
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.name("ConnectorShape");
for (let i = 0; i < shapeData.length; i++) {
initShape(sheet, shapeData[i], i);//add connectorShape
}
sheet.setValue(1, 1, 'STRAIGHT');
sheet.setValue(1, 5, 'ELBOW');
sheet.setValue(1, 9, 'CURVE');
spread.options.tabStripRatio = 0.8;
spread.resumePaint();
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet name={"ConnectorShape"}></Worksheet >
</SpreadSheets>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import "@mescius/spread-sheets-shapes";
const Component = React.Component;
function initShape(sheet, shapeData, index) {
let colors = ["#82BC00", "#F8B22E", "black", "#00C2D6"];
let arrowheadStyle = GC.Spread.Sheets.Shapes.ArrowheadStyle;
let arrowheadLength = GC.Spread.Sheets.Shapes.ArrowheadLength;
let arrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth;
let beginX = 70,endX = 250;
if(shapeData.type === 'elbow'){
beginX = 320;
endX = 500;
index = index%4;
} else if (shapeData.type === 'curve') {
beginX = 570;
endX = 750;
index = index % 4;
}
let connectorShape = sheet.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType[shapeData.type], beginX, 80+index*70, endX, 50+index*70);
if (shapeData.beginArrowhead !== undefined) {
let connectorBeginStyle = connectorShape.style();
let beginLine = connectorBeginStyle.line;
beginLine.beginArrowheadStyle = arrowheadStyle[shapeData.beginArrowhead.style];
beginLine.beginArrowheadWidth = arrowheadWidth[shapeData.beginArrowhead.width];
beginLine.beginArrowheadLength = arrowheadLength[shapeData.beginArrowhead.length];
connectorShape.style(connectorBeginStyle);
}
if (shapeData.endArrowhead !== undefined) {
let connectorEndStyle = connectorShape.style();
let endLine = connectorEndStyle.line;
endLine.endArrowheadStyle = arrowheadStyle[shapeData.endArrowhead.style];
endLine.endArrowheadWidth = arrowheadWidth[shapeData.endArrowhead.width];
endLine.endArrowheadLength = arrowheadLength[shapeData.endArrowhead.length];
connectorShape.style(connectorEndStyle);
}
let connectorStyle = connectorShape.style();
let lineTemp = connectorStyle.line;
lineTemp.width = 5;
lineTemp.color = colors[index];
connectorShape.style(connectorStyle);
}
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet name={"ConnectorShape"}></Worksheet >
</SpreadSheets>
</div>
</div>);
}
initSpread(spread) {
let shapeData = [
{
type: 'straight',
},
{
type: 'straight',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'straight',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'straight',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
},
{
type: 'elbow',
},
{
type: 'elbow',
endArrowhead: {
style: "oval",
width: 'medium',
length: 'medium',
},
},
{
type: 'elbow',
beginArrowhead: {
style: "oval",
width: 'wide',
length: 'wide',
},
},
{
beginArrowhead: {
style: "open",
width: 'medium',
length: 'medium',
},
type: 'elbow',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
// 3. CURVE
{
type: 'curve',
},
{
type: 'curve',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'curve',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'curve',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
}
];
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.name("ConnectorShape");
for (let i = 0; i < shapeData.length; i++) {
initShape(sheet, shapeData[i], i);//add connectorShape
}
sheet.setValue(1, 1, 'STRAIGHT');
sheet.setValue(1, 5, 'ELBOW');
sheet.setValue(1, 9, 'CURVE');
spread.options.tabStripRatio = 0.8;
spread.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.2.2-master-2026-09-02-2133/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'cdn:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-react': 'cdn:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

SpreadJS provides three types of connector shapes.
Straight
Elbow
Curve
The connector shape (line) can be used stand-along or connected to other shape. The two sides of the shape can has it's own arrow type.
You can add a connector shape and change the shape style using the ConnectorShape API
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet :name="'ConnectorShape'"></gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import { ref } from "vue";
import "@mescius/spread-sheets-vue";
import '@mescius/spread-sheets-shapes';
const spreadRef = ref(null);
const initSpread = (spread) => {
spreadRef.value = spread;
let shapeData = [{
type: 'straight',
},
{
type: 'straight',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'straight',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'straight',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
},
{
type: 'elbow',
},
{
type: 'elbow',
endArrowhead: {
style: "oval",
width: 'medium',
length: 'medium',
},
},
{
type: 'elbow',
beginArrowhead: {
style: "oval",
width: 'wide',
length: 'wide',
},
},
{
beginArrowhead: {
style: "open",
width: 'medium',
length: 'medium',
},
type: 'elbow',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
// 3. CURVE
{
type: 'curve',
},
{
type: 'curve',
endArrowhead: {
style: "triangle",
width: 'medium',
length: 'medium',
}
},
{
type: 'curve',
beginArrowhead: {
style: "stealth",
width: 'wide',
length: 'wide',
}
},
{
beginArrowhead: {
style: "stealth",
width: 'medium',
length: 'medium',
},
type: 'curve',
endArrowhead: {
style: "diamond",
width: 'wide',
length: 'wide',
}
}
];
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.name("ConnectorShape");
for (let i = 0; i < shapeData.length; i++) {
initShape(sheet, shapeData[i], i); //add connectorShape
}
sheet.setValue(1, 1, 'STRAIGHT');
sheet.setValue(1, 5, 'ELBOW');
sheet.setValue(1, 9, 'CURVE');
spread.options.tabStripRatio = 0.8;
spread.resumePaint();
}
function initShape(sheet, shapeData, index) {
let colors = ["#82BC00", "#F8B22E", "black", "#00C2D6"];
let arrowheadStyle = GC.Spread.Sheets.Shapes.ArrowheadStyle;
let arrowheadLength = GC.Spread.Sheets.Shapes.ArrowheadLength;
let arrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth;
let beginX = 70, endX = 250;
if (shapeData.type === 'elbow') {
beginX = 320;
endX = 500;
index = index % 4;
} else if (shapeData.type === 'curve') {
beginX = 570;
endX = 750;
index = index % 4;
}
let connectorShape = sheet.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType[shapeData.type], beginX, 80 + index * 70, endX, 50 + index * 70);
if (shapeData.beginArrowhead !== undefined) {
let connectorBeginStyle = connectorShape.style();
let beginLine = connectorBeginStyle.line;
beginLine.beginArrowheadStyle = arrowheadStyle[shapeData.beginArrowhead.style];
beginLine.beginArrowheadWidth = arrowheadWidth[shapeData.beginArrowhead.width];
beginLine.beginArrowheadLength = arrowheadLength[shapeData.beginArrowhead.length];
connectorShape.style(connectorBeginStyle);
}
if (shapeData.endArrowhead !== undefined) {
let connectorEndStyle = connectorShape.style();
let endLine = connectorEndStyle.line;
endLine.endArrowheadStyle = arrowheadStyle[shapeData.endArrowhead.style];
endLine.endArrowheadWidth = arrowheadWidth[shapeData.endArrowhead.width];
endLine.endArrowheadLength = arrowheadLength[shapeData.endArrowhead.length];
connectorShape.style(connectorEndStyle);
}
let connectorStyle = connectorShape.style();
let lineTemp = connectorStyle.line;
lineTemp.width = 5;
lineTemp.color = colors[index];
connectorShape.style(connectorStyle);
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.2.2-master-2026-09-02-2133/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'cdn:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-vue': 'cdn:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);